use ExtUtils::MakeMaker;

# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile
  (
   NAME         => 'WhoDat',
   VERSION_FROM => 'WhoDat.pm', # finds $VERSION
   AUTHOR       => 'Bryan Jurish <moocow@ling.uni-potsdam.de>',
   ABSTRACT     => 'Trainable stochastic nonsense generator',
   PREREQ_PM    => {},
   EXE_FILES    => [qw(whodat-gensyn.perl whodat-gensyn.perl)],
  );

#---------------------------------------------------------------
# Extensions
#---------------------------------------------------------------

sub MY::postamble {
  # how to format the README file
  "README.txt : README.pod\n"
  ."\tpod2text README.pod README.txt\n\n";
}

sub MY::depend {
  package MY;
  my $inherited = shift->SUPER::depend(@_);
  $inherited .=
    # ... distribution requires current README file
    ("dist: README.txt\n\n",
     "distcheck: README.txt\n\n");
  $inherited;
}


sub MY::dist_core {
  package MY;
  my $inherited = shift->SUPER::dist_core(@_);
  $inherited =~
    # ... distribution requires current README file
    s/^dist\s*:/dist\ : README.txt/m;
  $inherited;
}
