#-*- Mode: Perl -*-

## File: WhoDat.pm
## Author: Bryan Jurish <moocow@ling.uni-potsdam.de>
## Description:
##  + WhoDat stochastic nonsense generator
##======================================================================

package WhoDat;
our $VERSION = 0.01;

##-- just load all sub-modules
use WhoDat::Object;
use WhoDat::Generator;
use WhoDat::Lex;
use WhoDat::Ngrams;

1;

##======================================================================
## Docs
=pod

=head1 NAME

WhoDat - trainable stochastic nonsense generator

=head1 SYNOPSIS

 use WhoDat;

=cut

##======================================================================
## Description
=pod

=head1 DESCRIPTION

WhoDat is a top-level module which loads all WhoDat related
modules.  See the documentation of the individual submodules
for details.

=cut

##======================================================================
## Footer
=pod

=head1 ACKNOWLEDGEMENTS

perl by Larry Wall.

=head1 AUTHOR

Bryan Jurish E<lt>jurish@ling.uni-potsdam.deE<gt>

=head1 COPYRIGHT

Copyright (c) 2005, Bryan Jurish.  All rights reserved.

This package is free software.  You may redistribute it
and/or modify it under the same terms as Perl itself.

=head1 SEE ALSO

perl(1),
mootpp(1),
moot(1),
mootrain(1).
WhoDat::Object(3perl),
WhoDat::Generator(3perl),
WhoDat::Ngrams(3perl),
WhoDat::Lex(3perl),

=cut
